version: "3.4"
services:
  mysql-service:
    image: mysql:8.0.19
    entrypoint: ['/entrypoint.sh', '--default-authentication-plugin=mysql_native_password']
    networks:
      - spring-boot-mysql-network
    restart: always
    environment:
      - MYSQL_ROOT_USER=root
      - MYSQL_ROOT_PASSWORD=P@ssw0rd
      - MYSQL_DATABASE=assignment
      - MYSQL_USER=bashar
      - MYSQL_PASSWORD=bashar
    ports:
      - '3306:3306'
    expose:
      - '3306'
  Application-service:
    image: basharalmaaita/devops-practices:200614-c178a054
    ports:
      - '8090:8090'
    networks:
      - spring-boot-mysql-network
    depends_on:
      - mysql-service
    environment:
      SPRING_DATASOURCE_URL: jdbc:mysql://mysql-service:3306/assignment?allowPublicKeyRetrieval=true
      SPRING_DATASOURCE_USERNAME: root
      SPRING_DATASOURCE_PASSWORD: P@ssw0rd
    restart: always
networks:
  spring-boot-mysql-network:
